# Example Notebooks

These notebooks demonstrate usage of Pymotif in different ways:

### `introduction.ipynb`

Shows basic data import functionality (networkX graphs, CSV, JSON) and graph customisation.

### `neo4j_demo.ipynb`

Describes how you can import data from a Neo4j database. If you do not have a Neo4j database yet, you can create a sandbox [here](https://sandbox.neo4j.com/).

### `bank_demo.ipynb`

Simulates how Pymotif can aid data analysis when answering a sample business question: **How should our marketing budget be spent to increase adoption for a product?**

Using fake bank transaction data, it walks through the process of data cleaning/preparation, to investigation, to insight discovery.
